Subject: Re: bug#21789: 25.0.50; Can' build Emacs (my first build since GIT migration)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Oct 2015 15:42:09 +0200

> From: Vincent Belaïche <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 31 Oct 2015 14:26:41 +0100
> 
> > Instead, remove the Git repository, re-install Git as instructed in
> > nt/INSTALL, then re-clone the repository again.
> 
> Ok, I will do that. It surprises me that you need to tamper with the git
> system setting that affect all the projects using git, just for the sake
> of one project.

It's not for the sake of one project.  Installing Git as I indicated
is the only sensible thing for _any_ project.  For some reason, Git
for Windows doesn't have that as default; moreover, in the past I
remember some people arguing with me that what I suggest is actually
wrong (I disagree with their arguments).

I would encourage you to report this to the msysGit project as a bug.

> I am using git also for fmtcount and I have some changes
> pending, so I think that I will have to restore the original system
> settings when I come back to fmtcount. That is not a very practical
> solution.

The setting is on ~/.gitconfig and can be overridden by the
project-local .git/config file, if you need.  But my recommendation is
to switch all your Git-based projects to this default.  Otherwise, if
the project has files that need special EOL format, you will get in
trouble.

> I am quite novice with git, but just wondering whether it isn't possible
> to get the same effect with affecting emacs only by writing in the local
> config file (emacs/.git/config) some setting that would supersede the
> global and system settings, e.g. you would have
> 
> [core]
> autocrlf =
> 
> in the local config.

It's possible, yes.  Just make sure you have neither autocrlf nor eol
settings in your .git/config file, in the [core] section.

Once again, using anything else in other projects is just waiting for
trouble, so I really recommend this as a global setting.